Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class TBSRequest

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ocsp.TBSRequest

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class TBSRequest
extends ASN1Object

Constructor Summary
`TBSRequest(GeneralName requestorName, ASN1Sequence requestList, Extensions requestExtensions)`
`TBSRequest(GeneralName requestorName, ASN1Sequence requestList, X509Extensions requestExtensions)` Deprecated. use method taking Extensions

Method Summary
`static TBSRequest` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static TBSRequest` | `getInstance(java.lang.Object obj)`
`Extensions` | `getRequestExtensions()`
`ASN1Sequence` | `getRequestList()`
`GeneralName` | `getRequestorName()`
`ASN1Integer` | `getVersion()`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TBSRequest

    public TBSRequest(GeneralName requestorName,
                      ASN1Sequence requestList,
                      X509Extensions requestExtensions)

  Deprecated. use method taking Extensions

Parameters:
  `requestorName` -
  `requestList` -
  `requestExtensions` -

### TBSRequest

    public TBSRequest(GeneralName requestorName,
                      ASN1Sequence requestList,
                      Extensions requestExtensions)

Method Detail

### getInstance

    public static TBSRequest getInstance(ASN1TaggedObject obj,
                                         boolean explicit)

### getInstance

    public static TBSRequest getInstance(java.lang.Object obj)

### getVersion

    public ASN1Integer getVersion()

### getRequestorName

    public GeneralName getRequestorName()

### getRequestList

    public ASN1Sequence getRequestList()

### getRequestExtensions

    public Extensions getRequestExtensions()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream. TBSRequest ::= SEQUENCE { version [0] EXPLICIT Version DEFAULT v1, requestorName [1] EXPLICIT GeneralName OPTIONAL, requestList SEQUENCE OF Request, requestExtensions [2] EXPLICIT Extensions OPTIONAL }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD